# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish Modules (VMODs) implementing variable interfaces for VCL
Name: varnish-objvar
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/varnish-objvar
Source0: %{name}-%{version}.tar.gz

# varnish from varnish66 at packagecloud
Requires: varnish = 6.6.2

BuildRequires: varnish-devel = 6.6.2
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: python-docutils >= 0.6

Provides: varnish-objvar, varnish-objvar-debuginfo

%description
This bundle contains four varnish modules (VMODs) implementing a next
level variable interface using the VCL object model:

%prep
%setup -q -n %{name}-%{version}

%build

%configure

make -j

%check

make -j check

%install

make install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst LICENSE INSTALL.rst

%post
/sbin/ldconfig

%changelog
* Mon Jan 31 2022 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
- Compatible with Varnish 6.6.2

* Mon Apr 26 2021 Geoff Simmons <geoff@uplex.de> - 0.2.0-1
- Compatible with Varnish 6.6
